/* AbstractSlot.c generated by valac 0.56.18, the Vala compiler
 * generated from AbstractSlot.vala, do not modify */

/*
 * SPDX-FileCopyrightText: 2015-2025 elementary, Inc. (https://elementary.io)
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * Authors : Lucas Baudin <xapantu@gmail.com>
 *           Jeremy Wootten <jeremywootten@gmail.com>
 */

#include "pantheon-files-core.h"
#include <glib.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib-object.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	FILES_ABSTRACT_SLOT_0_PROPERTY,
	FILES_ABSTRACT_SLOT_DIRECTORY_PROPERTY,
	FILES_ABSTRACT_SLOT_FILE_PROPERTY,
	FILES_ABSTRACT_SLOT_LOCATION_PROPERTY,
	FILES_ABSTRACT_SLOT_URI_PROPERTY,
	FILES_ABSTRACT_SLOT_LOCKED_FOCUS_PROPERTY,
	FILES_ABSTRACT_SLOT_IS_FROZEN_PROPERTY,
	FILES_ABSTRACT_SLOT_OVERLAY_PROPERTY,
	FILES_ABSTRACT_SLOT_SLOT_NUMBER_PROPERTY,
	FILES_ABSTRACT_SLOT_NUM_PROPERTIES
};
static GParamSpec* files_abstract_slot_properties[FILES_ABSTRACT_SLOT_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
enum  {
	FILES_ABSTRACT_SLOT_ACTIVE_SIGNAL,
	FILES_ABSTRACT_SLOT_INACTIVE_SIGNAL,
	FILES_ABSTRACT_SLOT_PATH_CHANGED_SIGNAL,
	FILES_ABSTRACT_SLOT_NEW_CONTAINER_REQUEST_SIGNAL,
	FILES_ABSTRACT_SLOT_SELECTION_CHANGED_SIGNAL,
	FILES_ABSTRACT_SLOT_DIRECTORY_LOADED_SIGNAL,
	FILES_ABSTRACT_SLOT_NUM_SIGNALS
};
static guint files_abstract_slot_signals[FILES_ABSTRACT_SLOT_NUM_SIGNALS] = {0};

struct _FilesAbstractSlotPrivate {
	FilesDirectory* _directory;
	gboolean _is_frozen;
	GtkOverlay* _overlay;
	gint _slot_number;
};

static gint FilesAbstractSlot_private_offset;
static gpointer files_abstract_slot_parent_class = NULL;

static void files_abstract_slot_real_initialize_directory (FilesAbstractSlot* self);
static GList* files_abstract_slot_real_get_selected_files (FilesAbstractSlot* self);
static void files_abstract_slot_real_set_active_state (FilesAbstractSlot* self,
                                                gboolean set_active,
                                                gboolean animate);
static FilesAbstractSlot* files_abstract_slot_real_get_current_slot (FilesAbstractSlot* self);
static void files_abstract_slot_real_reload (FilesAbstractSlot* self,
                                      gboolean non_local_only);
static void files_abstract_slot_real_grab_focus (FilesAbstractSlot* self);
static void files_abstract_slot_real_user_path_change_request (FilesAbstractSlot* self,
                                                        GFile* loc,
                                                        gboolean make_root);
static void files_abstract_slot_real_focus_first_for_empty_selection (FilesAbstractSlot* self,
                                                               gboolean select);
static void files_abstract_slot_real_select_glib_files (FilesAbstractSlot* self,
                                                 GList* locations,
                                                 GFile* focus_location);
static void files_abstract_slot_real_close (FilesAbstractSlot* self);
static GFileInfo* files_abstract_slot_real_lookup_file_info (FilesAbstractSlot* self,
                                                      GFile* loc);
static void files_abstract_slot_real_zoom_out (FilesAbstractSlot* self);
static void files_abstract_slot_real_zoom_in (FilesAbstractSlot* self);
static void files_abstract_slot_real_zoom_normal (FilesAbstractSlot* self);
static gboolean files_abstract_slot_real_set_all_selected (FilesAbstractSlot* self,
                                                    gboolean all_selected);
static GtkWidget* files_abstract_slot_real_get_content_box (FilesAbstractSlot* self);
static gchar* files_abstract_slot_real_get_root_uri (FilesAbstractSlot* self);
static gchar* files_abstract_slot_real_get_tip_uri (FilesAbstractSlot* self);
static gboolean files_abstract_slot_real_get_realized (FilesAbstractSlot* self);
static void g_cclosure_user_marshal_VOID__BOOLEAN_BOOLEAN (GClosure * closure,
                                                    GValue * return_value,
                                                    guint n_param_values,
                                                    const GValue * param_values,
                                                    gpointer invocation_hint,
                                                    gpointer marshal_data);
static void g_cclosure_user_marshal_VOID__OBJECT_ENUM (GClosure * closure,
                                                GValue * return_value,
                                                guint n_param_values,
                                                const GValue * param_values,
                                                gpointer invocation_hint,
                                                gpointer marshal_data);
static GObject * files_abstract_slot_constructor (GType type,
                                           guint n_construct_properties,
                                           GObjectConstructParam * construct_properties);
static void files_abstract_slot_finalize (GObject * obj);
static GType files_abstract_slot_get_type_once (void);
static void _vala_files_abstract_slot_get_property (GObject * object,
                                             guint property_id,
                                             GValue * value,
                                             GParamSpec * pspec);
static void _vala_files_abstract_slot_set_property (GObject * object,
                                             guint property_id,
                                             const GValue * value,
                                             GParamSpec * pspec);

static inline gpointer
files_abstract_slot_get_instance_private (FilesAbstractSlot* self)
{
	return G_STRUCT_MEMBER_P (self, FilesAbstractSlot_private_offset);
}

void
files_abstract_slot_add_extra_widget (FilesAbstractSlot* self,
                                      GtkWidget* widget)
{
	GtkBox* _tmp0_;
#line 63 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 63 "../libcore/AbstractSlot.vala"
	g_return_if_fail (widget != NULL);
#line 64 "../libcore/AbstractSlot.vala"
	_tmp0_ = self->extra_location_widgets;
#line 64 "../libcore/AbstractSlot.vala"
	gtk_container_add ((GtkContainer*) _tmp0_, widget);
#line 139 "AbstractSlot.c"
}

void
files_abstract_slot_add_extra_action_widget (FilesAbstractSlot* self,
                                             GtkWidget* widget)
{
	GtkBox* _tmp0_;
#line 67 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 67 "../libcore/AbstractSlot.vala"
	g_return_if_fail (widget != NULL);
#line 68 "../libcore/AbstractSlot.vala"
	_tmp0_ = self->extra_action_widgets;
#line 68 "../libcore/AbstractSlot.vala"
	gtk_container_add ((GtkContainer*) _tmp0_, widget);
#line 155 "AbstractSlot.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 72 "../libcore/AbstractSlot.vala"
	return self ? g_object_ref (self) : NULL;
#line 163 "AbstractSlot.c"
}

void
files_abstract_slot_add_overlay (FilesAbstractSlot* self,
                                 GtkWidget* widget)
{
	GtkWidget* _tmp0_;
	GtkOverlay* _tmp1_ = NULL;
	GtkOverlay* _tmp2_;
	GtkBox* _tmp3_;
	GtkOverlay* _tmp4_;
#line 71 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 71 "../libcore/AbstractSlot.vala"
	g_return_if_fail (widget != NULL);
#line 72 "../libcore/AbstractSlot.vala"
	_tmp0_ = _g_object_ref0 (widget);
#line 72 "../libcore/AbstractSlot.vala"
	_tmp1_ = (GtkOverlay*) gtk_overlay_new ();
#line 72 "../libcore/AbstractSlot.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp1_, TRUE);
#line 72 "../libcore/AbstractSlot.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp1_, TRUE);
#line 72 "../libcore/AbstractSlot.vala"
	g_object_set ((GtkContainer*) _tmp1_, "child", _tmp0_, NULL);
#line 72 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (_tmp0_);
#line 72 "../libcore/AbstractSlot.vala"
	g_object_ref_sink (_tmp1_);
#line 72 "../libcore/AbstractSlot.vala"
	_tmp2_ = _tmp1_;
#line 72 "../libcore/AbstractSlot.vala"
	files_abstract_slot_set_overlay (self, _tmp2_);
#line 72 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (_tmp2_);
#line 77 "../libcore/AbstractSlot.vala"
	_tmp3_ = self->content_box;
#line 77 "../libcore/AbstractSlot.vala"
	_tmp4_ = self->priv->_overlay;
#line 77 "../libcore/AbstractSlot.vala"
	gtk_container_add ((GtkContainer*) _tmp3_, (GtkWidget*) _tmp4_);
#line 205 "AbstractSlot.c"
}

static void
files_abstract_slot_real_initialize_directory (FilesAbstractSlot* self)
{
#line 94 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_initialize_directory'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 94 "../libcore/AbstractSlot.vala"
	return;
#line 215 "AbstractSlot.c"
}

void
files_abstract_slot_initialize_directory (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 94 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 94 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 94 "../libcore/AbstractSlot.vala"
	if (_klass_->initialize_directory) {
#line 94 "../libcore/AbstractSlot.vala"
		_klass_->initialize_directory (self);
#line 230 "AbstractSlot.c"
	}
}

static GList*
files_abstract_slot_real_get_selected_files (FilesAbstractSlot* self)
{
#line 95 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_get_selected_files'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 95 "../libcore/AbstractSlot.vala"
	return NULL;
#line 241 "AbstractSlot.c"
}

GList*
files_abstract_slot_get_selected_files (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 95 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 95 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 95 "../libcore/AbstractSlot.vala"
	if (_klass_->get_selected_files) {
#line 95 "../libcore/AbstractSlot.vala"
		return _klass_->get_selected_files (self);
#line 256 "AbstractSlot.c"
	}
#line 95 "../libcore/AbstractSlot.vala"
	return NULL;
#line 260 "AbstractSlot.c"
}

static void
files_abstract_slot_real_set_active_state (FilesAbstractSlot* self,
                                           gboolean set_active,
                                           gboolean animate)
{
#line 96 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_set_active_state'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 96 "../libcore/AbstractSlot.vala"
	return;
#line 272 "AbstractSlot.c"
}

void
files_abstract_slot_set_active_state (FilesAbstractSlot* self,
                                      gboolean set_active,
                                      gboolean animate)
{
	FilesAbstractSlotClass* _klass_;
#line 96 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 96 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 96 "../libcore/AbstractSlot.vala"
	if (_klass_->set_active_state) {
#line 96 "../libcore/AbstractSlot.vala"
		_klass_->set_active_state (self, set_active, animate);
#line 289 "AbstractSlot.c"
	}
}

static FilesAbstractSlot*
files_abstract_slot_real_get_current_slot (FilesAbstractSlot* self)
{
#line 97 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_get_current_slot'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 97 "../libcore/AbstractSlot.vala"
	return NULL;
#line 300 "AbstractSlot.c"
}

FilesAbstractSlot*
files_abstract_slot_get_current_slot (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 97 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 97 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 97 "../libcore/AbstractSlot.vala"
	if (_klass_->get_current_slot) {
#line 97 "../libcore/AbstractSlot.vala"
		return _klass_->get_current_slot (self);
#line 315 "AbstractSlot.c"
	}
#line 97 "../libcore/AbstractSlot.vala"
	return NULL;
#line 319 "AbstractSlot.c"
}

static void
files_abstract_slot_real_reload (FilesAbstractSlot* self,
                                 gboolean non_local_only)
{
#line 98 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_reload'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 98 "../libcore/AbstractSlot.vala"
	return;
#line 330 "AbstractSlot.c"
}

void
files_abstract_slot_reload (FilesAbstractSlot* self,
                            gboolean non_local_only)
{
	FilesAbstractSlotClass* _klass_;
#line 98 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 98 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 98 "../libcore/AbstractSlot.vala"
	if (_klass_->reload) {
#line 98 "../libcore/AbstractSlot.vala"
		_klass_->reload (self, non_local_only);
#line 346 "AbstractSlot.c"
	}
}

static void
files_abstract_slot_real_grab_focus (FilesAbstractSlot* self)
{
#line 99 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_grab_focus'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 99 "../libcore/AbstractSlot.vala"
	return;
#line 357 "AbstractSlot.c"
}

void
files_abstract_slot_grab_focus (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 99 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 99 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 99 "../libcore/AbstractSlot.vala"
	if (_klass_->grab_focus) {
#line 99 "../libcore/AbstractSlot.vala"
		_klass_->grab_focus (self);
#line 372 "AbstractSlot.c"
	}
}

static void
files_abstract_slot_real_user_path_change_request (FilesAbstractSlot* self,
                                                   GFile* loc,
                                                   gboolean make_root)
{
#line 100 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_user_path_change_request'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 100 "../libcore/AbstractSlot.vala"
	return;
#line 385 "AbstractSlot.c"
}

void
files_abstract_slot_user_path_change_request (FilesAbstractSlot* self,
                                              GFile* loc,
                                              gboolean make_root)
{
	FilesAbstractSlotClass* _klass_;
#line 100 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 100 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 100 "../libcore/AbstractSlot.vala"
	if (_klass_->user_path_change_request) {
#line 100 "../libcore/AbstractSlot.vala"
		_klass_->user_path_change_request (self, loc, make_root);
#line 402 "AbstractSlot.c"
	}
}

static void
files_abstract_slot_real_focus_first_for_empty_selection (FilesAbstractSlot* self,
                                                          gboolean select)
{
#line 101 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_focus_first_for_empty_selection'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 101 "../libcore/AbstractSlot.vala"
	return;
#line 414 "AbstractSlot.c"
}

void
files_abstract_slot_focus_first_for_empty_selection (FilesAbstractSlot* self,
                                                     gboolean select)
{
	FilesAbstractSlotClass* _klass_;
#line 101 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 101 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 101 "../libcore/AbstractSlot.vala"
	if (_klass_->focus_first_for_empty_selection) {
#line 101 "../libcore/AbstractSlot.vala"
		_klass_->focus_first_for_empty_selection (self, select);
#line 430 "AbstractSlot.c"
	}
}

static void
files_abstract_slot_real_select_glib_files (FilesAbstractSlot* self,
                                            GList* locations,
                                            GFile* focus_location)
{
#line 102 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_select_glib_files'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 102 "../libcore/AbstractSlot.vala"
	return;
#line 443 "AbstractSlot.c"
}

void
files_abstract_slot_select_glib_files (FilesAbstractSlot* self,
                                       GList* locations,
                                       GFile* focus_location)
{
	FilesAbstractSlotClass* _klass_;
#line 102 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 102 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 102 "../libcore/AbstractSlot.vala"
	if (_klass_->select_glib_files) {
#line 102 "../libcore/AbstractSlot.vala"
		_klass_->select_glib_files (self, locations, focus_location);
#line 460 "AbstractSlot.c"
	}
}

static void
files_abstract_slot_real_close (FilesAbstractSlot* self)
{
#line 103 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_close'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 103 "../libcore/AbstractSlot.vala"
	return;
#line 471 "AbstractSlot.c"
}

void
files_abstract_slot_close (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 103 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 103 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 103 "../libcore/AbstractSlot.vala"
	if (_klass_->close) {
#line 103 "../libcore/AbstractSlot.vala"
		_klass_->close (self);
#line 486 "AbstractSlot.c"
	}
}

static GFileInfo*
files_abstract_slot_real_lookup_file_info (FilesAbstractSlot* self,
                                           GFile* loc)
{
#line 104 "../libcore/AbstractSlot.vala"
	g_critical ("Type `%s' does not implement abstract method `files_abstract_slot_lookup_file_info'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 104 "../libcore/AbstractSlot.vala"
	return NULL;
#line 498 "AbstractSlot.c"
}

GFileInfo*
files_abstract_slot_lookup_file_info (FilesAbstractSlot* self,
                                      GFile* loc)
{
	FilesAbstractSlotClass* _klass_;
#line 104 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 104 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 104 "../libcore/AbstractSlot.vala"
	if (_klass_->lookup_file_info) {
#line 104 "../libcore/AbstractSlot.vala"
		return _klass_->lookup_file_info (self, loc);
#line 514 "AbstractSlot.c"
	}
#line 104 "../libcore/AbstractSlot.vala"
	return NULL;
#line 518 "AbstractSlot.c"
}

static void
files_abstract_slot_real_zoom_out (FilesAbstractSlot* self)
{
}

void
files_abstract_slot_zoom_out (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 106 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 106 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 106 "../libcore/AbstractSlot.vala"
	if (_klass_->zoom_out) {
#line 106 "../libcore/AbstractSlot.vala"
		_klass_->zoom_out (self);
#line 538 "AbstractSlot.c"
	}
}

static void
files_abstract_slot_real_zoom_in (FilesAbstractSlot* self)
{
}

void
files_abstract_slot_zoom_in (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 107 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 107 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 107 "../libcore/AbstractSlot.vala"
	if (_klass_->zoom_in) {
#line 107 "../libcore/AbstractSlot.vala"
		_klass_->zoom_in (self);
#line 559 "AbstractSlot.c"
	}
}

static void
files_abstract_slot_real_zoom_normal (FilesAbstractSlot* self)
{
}

void
files_abstract_slot_zoom_normal (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 108 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 108 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 108 "../libcore/AbstractSlot.vala"
	if (_klass_->zoom_normal) {
#line 108 "../libcore/AbstractSlot.vala"
		_klass_->zoom_normal (self);
#line 580 "AbstractSlot.c"
	}
}

static gboolean
files_abstract_slot_real_set_all_selected (FilesAbstractSlot* self,
                                           gboolean all_selected)
{
	gboolean result;
#line 109 "../libcore/AbstractSlot.vala"
	result = FALSE;
#line 109 "../libcore/AbstractSlot.vala"
	return result;
#line 593 "AbstractSlot.c"
}

gboolean
files_abstract_slot_set_all_selected (FilesAbstractSlot* self,
                                      gboolean all_selected)
{
	FilesAbstractSlotClass* _klass_;
#line 109 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 109 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 109 "../libcore/AbstractSlot.vala"
	if (_klass_->set_all_selected) {
#line 109 "../libcore/AbstractSlot.vala"
		return _klass_->set_all_selected (self, all_selected);
#line 609 "AbstractSlot.c"
	}
#line 109 "../libcore/AbstractSlot.vala"
	return FALSE;
#line 613 "AbstractSlot.c"
}

static GtkWidget*
files_abstract_slot_real_get_content_box (FilesAbstractSlot* self)
{
	GtkBox* _tmp0_;
	GtkWidget* _tmp1_;
	GtkWidget* result;
#line 110 "../libcore/AbstractSlot.vala"
	_tmp0_ = self->content_box;
#line 110 "../libcore/AbstractSlot.vala"
	_tmp1_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_widget_get_type ()) ? ((GtkWidget*) _tmp0_) : NULL);
#line 110 "../libcore/AbstractSlot.vala"
	result = _tmp1_;
#line 110 "../libcore/AbstractSlot.vala"
	return result;
#line 630 "AbstractSlot.c"
}

GtkWidget*
files_abstract_slot_get_content_box (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 110 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 110 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 110 "../libcore/AbstractSlot.vala"
	if (_klass_->get_content_box) {
#line 110 "../libcore/AbstractSlot.vala"
		return _klass_->get_content_box (self);
#line 645 "AbstractSlot.c"
	}
#line 110 "../libcore/AbstractSlot.vala"
	return NULL;
#line 649 "AbstractSlot.c"
}

static gchar*
files_abstract_slot_real_get_root_uri (FilesAbstractSlot* self)
{
	FilesDirectory* _tmp0_;
	FilesDirectory* _tmp1_;
	FilesFile* _tmp2_;
	FilesFile* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* result;
#line 111 "../libcore/AbstractSlot.vala"
	_tmp0_ = files_abstract_slot_get_directory (self);
#line 111 "../libcore/AbstractSlot.vala"
	_tmp1_ = _tmp0_;
#line 111 "../libcore/AbstractSlot.vala"
	_tmp2_ = files_directory_get_file (_tmp1_);
#line 111 "../libcore/AbstractSlot.vala"
	_tmp3_ = _tmp2_;
#line 111 "../libcore/AbstractSlot.vala"
	_tmp4_ = files_file_get_uri (_tmp3_);
#line 111 "../libcore/AbstractSlot.vala"
	_tmp5_ = _tmp4_;
#line 111 "../libcore/AbstractSlot.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 111 "../libcore/AbstractSlot.vala"
	result = _tmp6_;
#line 111 "../libcore/AbstractSlot.vala"
	return result;
#line 681 "AbstractSlot.c"
}

gchar*
files_abstract_slot_get_root_uri (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 111 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 111 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 111 "../libcore/AbstractSlot.vala"
	if (_klass_->get_root_uri) {
#line 111 "../libcore/AbstractSlot.vala"
		return _klass_->get_root_uri (self);
#line 696 "AbstractSlot.c"
	}
#line 111 "../libcore/AbstractSlot.vala"
	return NULL;
#line 700 "AbstractSlot.c"
}

static gchar*
files_abstract_slot_real_get_tip_uri (FilesAbstractSlot* self)
{
	gchar* result;
#line 112 "../libcore/AbstractSlot.vala"
	result = NULL;
#line 112 "../libcore/AbstractSlot.vala"
	return result;
#line 711 "AbstractSlot.c"
}

gchar*
files_abstract_slot_get_tip_uri (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 112 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 112 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 112 "../libcore/AbstractSlot.vala"
	if (_klass_->get_tip_uri) {
#line 112 "../libcore/AbstractSlot.vala"
		return _klass_->get_tip_uri (self);
#line 726 "AbstractSlot.c"
	}
#line 112 "../libcore/AbstractSlot.vala"
	return NULL;
#line 730 "AbstractSlot.c"
}

static gboolean
files_abstract_slot_real_get_realized (FilesAbstractSlot* self)
{
	GtkBox* _tmp0_;
	gboolean result;
#line 113 "../libcore/AbstractSlot.vala"
	_tmp0_ = self->content_box;
#line 113 "../libcore/AbstractSlot.vala"
	result = gtk_widget_get_realized ((GtkWidget*) _tmp0_);
#line 113 "../libcore/AbstractSlot.vala"
	return result;
#line 744 "AbstractSlot.c"
}

gboolean
files_abstract_slot_get_realized (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 113 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 113 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 113 "../libcore/AbstractSlot.vala"
	if (_klass_->get_realized) {
#line 113 "../libcore/AbstractSlot.vala"
		return _klass_->get_realized (self);
#line 759 "AbstractSlot.c"
	}
#line 113 "../libcore/AbstractSlot.vala"
	return FALSE;
#line 763 "AbstractSlot.c"
}

FilesAbstractSlot*
files_abstract_slot_construct (GType object_type)
{
	FilesAbstractSlot * self = NULL;
#line 9 "../libcore/AbstractSlot.vala"
	self = (FilesAbstractSlot*) g_object_new (object_type, NULL);
#line 9 "../libcore/AbstractSlot.vala"
	return self;
#line 774 "AbstractSlot.c"
}

FilesDirectory*
files_abstract_slot_get_directory (FilesAbstractSlot* self)
{
	FilesDirectory* result;
	FilesAbstractSlot* current = NULL;
	FilesAbstractSlot* _tmp0_;
	FilesAbstractSlot* _tmp1_;
	FilesAbstractSlot* _tmp2_;
#line 12 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 13 "../libcore/AbstractSlot.vala"
	_tmp0_ = files_abstract_slot_get_current_slot (self);
#line 13 "../libcore/AbstractSlot.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 13 "../libcore/AbstractSlot.vala"
	current = _tmp1_;
#line 14 "../libcore/AbstractSlot.vala"
	_tmp2_ = current;
#line 14 "../libcore/AbstractSlot.vala"
	if (_tmp2_ != NULL) {
#line 797 "AbstractSlot.c"
		FilesAbstractSlot* _tmp3_;
		FilesDirectory* _tmp4_;
#line 15 "../libcore/AbstractSlot.vala"
		_tmp3_ = current;
#line 15 "../libcore/AbstractSlot.vala"
		_tmp4_ = _tmp3_->priv->_directory;
#line 15 "../libcore/AbstractSlot.vala"
		result = _tmp4_;
#line 15 "../libcore/AbstractSlot.vala"
		_g_object_unref0 (current);
#line 15 "../libcore/AbstractSlot.vala"
		return result;
#line 810 "AbstractSlot.c"
	} else {
#line 17 "../libcore/AbstractSlot.vala"
		result = NULL;
#line 17 "../libcore/AbstractSlot.vala"
		_g_object_unref0 (current);
#line 17 "../libcore/AbstractSlot.vala"
		return result;
#line 818 "AbstractSlot.c"
	}
}

void
files_abstract_slot_set_directory (FilesAbstractSlot* self,
                                   FilesDirectory* value)
{
	FilesDirectory* _tmp0_;
#line 21 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 21 "../libcore/AbstractSlot.vala"
	_tmp0_ = _g_object_ref0 (value);
#line 21 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->priv->_directory);
#line 21 "../libcore/AbstractSlot.vala"
	self->priv->_directory = _tmp0_;
#line 21 "../libcore/AbstractSlot.vala"
	g_object_notify_by_pspec ((GObject *) self, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_DIRECTORY_PROPERTY]);
#line 837 "AbstractSlot.c"
}

FilesFile*
files_abstract_slot_get_file (FilesAbstractSlot* self)
{
	FilesFile* result;
	FilesFile* _tmp0_ = NULL;
	FilesDirectory* _tmp1_;
	FilesDirectory* _tmp2_;
#line 26 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "../libcore/AbstractSlot.vala"
	_tmp1_ = files_abstract_slot_get_directory (self);
#line 26 "../libcore/AbstractSlot.vala"
	_tmp2_ = _tmp1_;
#line 26 "../libcore/AbstractSlot.vala"
	if (_tmp2_ != NULL) {
#line 855 "AbstractSlot.c"
		FilesDirectory* _tmp3_;
		FilesDirectory* _tmp4_;
		FilesFile* _tmp5_;
		FilesFile* _tmp6_;
#line 26 "../libcore/AbstractSlot.vala"
		_tmp3_ = files_abstract_slot_get_directory (self);
#line 26 "../libcore/AbstractSlot.vala"
		_tmp4_ = _tmp3_;
#line 26 "../libcore/AbstractSlot.vala"
		_tmp5_ = files_directory_get_file (_tmp4_);
#line 26 "../libcore/AbstractSlot.vala"
		_tmp6_ = _tmp5_;
#line 26 "../libcore/AbstractSlot.vala"
		_tmp0_ = _tmp6_;
#line 870 "AbstractSlot.c"
	} else {
#line 26 "../libcore/AbstractSlot.vala"
		_tmp0_ = NULL;
#line 874 "AbstractSlot.c"
	}
#line 26 "../libcore/AbstractSlot.vala"
	result = _tmp0_;
#line 26 "../libcore/AbstractSlot.vala"
	return result;
#line 880 "AbstractSlot.c"
}

GFile*
files_abstract_slot_get_location (FilesAbstractSlot* self)
{
	GFile* result;
	GFile* _tmp0_ = NULL;
	FilesDirectory* _tmp1_;
	FilesDirectory* _tmp2_;
#line 30 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "../libcore/AbstractSlot.vala"
	_tmp1_ = files_abstract_slot_get_directory (self);
#line 31 "../libcore/AbstractSlot.vala"
	_tmp2_ = _tmp1_;
#line 31 "../libcore/AbstractSlot.vala"
	if (_tmp2_ != NULL) {
#line 898 "AbstractSlot.c"
		FilesDirectory* _tmp3_;
		FilesDirectory* _tmp4_;
		GFile* _tmp5_;
		GFile* _tmp6_;
#line 31 "../libcore/AbstractSlot.vala"
		_tmp3_ = files_abstract_slot_get_directory (self);
#line 31 "../libcore/AbstractSlot.vala"
		_tmp4_ = _tmp3_;
#line 31 "../libcore/AbstractSlot.vala"
		_tmp5_ = files_directory_get_location (_tmp4_);
#line 31 "../libcore/AbstractSlot.vala"
		_tmp6_ = _tmp5_;
#line 31 "../libcore/AbstractSlot.vala"
		_tmp0_ = _tmp6_;
#line 913 "AbstractSlot.c"
	} else {
#line 31 "../libcore/AbstractSlot.vala"
		_tmp0_ = NULL;
#line 917 "AbstractSlot.c"
	}
#line 31 "../libcore/AbstractSlot.vala"
	result = _tmp0_;
#line 31 "../libcore/AbstractSlot.vala"
	return result;
#line 923 "AbstractSlot.c"
}

void
files_abstract_slot_set_location (FilesAbstractSlot* self,
                                  GFile* value)
{
	FilesDirectory* _tmp0_;
	FilesDirectory* _tmp1_;
#line 34 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 35 "../libcore/AbstractSlot.vala"
	_tmp0_ = files_directory_from_gfile (value);
#line 35 "../libcore/AbstractSlot.vala"
	_tmp1_ = _tmp0_;
#line 35 "../libcore/AbstractSlot.vala"
	files_abstract_slot_set_directory (self, _tmp1_);
#line 35 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (_tmp1_);
#line 34 "../libcore/AbstractSlot.vala"
	g_object_notify_by_pspec ((GObject *) self, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_LOCATION_PROPERTY]);
#line 944 "AbstractSlot.c"
}

const gchar*
files_abstract_slot_get_uri (FilesAbstractSlot* self)
{
	const gchar* result;
	const gchar* _tmp0_ = NULL;
	FilesDirectory* _tmp1_;
	FilesDirectory* _tmp2_;
#line 40 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 40 "../libcore/AbstractSlot.vala"
	_tmp1_ = files_abstract_slot_get_directory (self);
#line 40 "../libcore/AbstractSlot.vala"
	_tmp2_ = _tmp1_;
#line 40 "../libcore/AbstractSlot.vala"
	if (_tmp2_ != NULL) {
#line 962 "AbstractSlot.c"
		FilesDirectory* _tmp3_;
		FilesDirectory* _tmp4_;
		FilesFile* _tmp5_;
		FilesFile* _tmp6_;
		const gchar* _tmp7_;
		const gchar* _tmp8_;
#line 40 "../libcore/AbstractSlot.vala"
		_tmp3_ = files_abstract_slot_get_directory (self);
#line 40 "../libcore/AbstractSlot.vala"
		_tmp4_ = _tmp3_;
#line 40 "../libcore/AbstractSlot.vala"
		_tmp5_ = files_directory_get_file (_tmp4_);
#line 40 "../libcore/AbstractSlot.vala"
		_tmp6_ = _tmp5_;
#line 40 "../libcore/AbstractSlot.vala"
		_tmp7_ = files_file_get_uri (_tmp6_);
#line 40 "../libcore/AbstractSlot.vala"
		_tmp8_ = _tmp7_;
#line 40 "../libcore/AbstractSlot.vala"
		_tmp0_ = _tmp8_;
#line 983 "AbstractSlot.c"
	} else {
#line 40 "../libcore/AbstractSlot.vala"
		_tmp0_ = "";
#line 987 "AbstractSlot.c"
	}
#line 40 "../libcore/AbstractSlot.vala"
	result = _tmp0_;
#line 40 "../libcore/AbstractSlot.vala"
	return result;
#line 993 "AbstractSlot.c"
}

gboolean
files_abstract_slot_get_locked_focus (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 44 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 44 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 44 "../libcore/AbstractSlot.vala"
	if (_klass_->get_locked_focus) {
#line 44 "../libcore/AbstractSlot.vala"
		return _klass_->get_locked_focus (self);
#line 1008 "AbstractSlot.c"
	}
#line 44 "../libcore/AbstractSlot.vala"
	return FALSE;
#line 1012 "AbstractSlot.c"
}

static gboolean
files_abstract_slot_real_get_locked_focus (FilesAbstractSlot* base)
{
	gboolean result;
	FilesAbstractSlot* self;
#line 44 "../libcore/AbstractSlot.vala"
	self = base;
#line 44 "../libcore/AbstractSlot.vala"
	result = FALSE;
#line 44 "../libcore/AbstractSlot.vala"
	return result;
#line 1026 "AbstractSlot.c"
}

gboolean
files_abstract_slot_get_is_frozen (FilesAbstractSlot* self)
{
	FilesAbstractSlotClass* _klass_;
#line 47 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 47 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 47 "../libcore/AbstractSlot.vala"
	if (_klass_->get_is_frozen) {
#line 47 "../libcore/AbstractSlot.vala"
		return _klass_->get_is_frozen (self);
#line 1041 "AbstractSlot.c"
	}
#line 47 "../libcore/AbstractSlot.vala"
	return FALSE;
#line 1045 "AbstractSlot.c"
}

static gboolean
files_abstract_slot_real_get_is_frozen (FilesAbstractSlot* base)
{
	gboolean result;
	FilesAbstractSlot* self;
#line 47 "../libcore/AbstractSlot.vala"
	self = base;
#line 47 "../libcore/AbstractSlot.vala"
	result = self->priv->_is_frozen;
#line 47 "../libcore/AbstractSlot.vala"
	return result;
#line 1059 "AbstractSlot.c"
}

void
files_abstract_slot_set_is_frozen (FilesAbstractSlot* self,
                                   gboolean value)
{
	FilesAbstractSlotClass* _klass_;
#line 47 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 47 "../libcore/AbstractSlot.vala"
	_klass_ = FILES_ABSTRACT_SLOT_GET_CLASS (self);
#line 47 "../libcore/AbstractSlot.vala"
	if (_klass_->set_is_frozen) {
#line 47 "../libcore/AbstractSlot.vala"
		_klass_->set_is_frozen (self, value);
#line 1075 "AbstractSlot.c"
	}
}

static void
files_abstract_slot_real_set_is_frozen (FilesAbstractSlot* base,
                                        gboolean value)
{
	FilesAbstractSlot* self;
	gboolean old_value;
#line 47 "../libcore/AbstractSlot.vala"
	self = base;
#line 47 "../libcore/AbstractSlot.vala"
	old_value = files_abstract_slot_real_get_is_frozen (base);
#line 47 "../libcore/AbstractSlot.vala"
	if (old_value != value) {
#line 47 "../libcore/AbstractSlot.vala"
		self->priv->_is_frozen = value;
#line 47 "../libcore/AbstractSlot.vala"
		g_object_notify_by_pspec ((GObject *) self, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_IS_FROZEN_PROPERTY]);
#line 1095 "AbstractSlot.c"
	}
}

GtkOverlay*
files_abstract_slot_get_overlay (FilesAbstractSlot* self)
{
	GtkOverlay* result;
	GtkOverlay* _tmp0_;
#line 52 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 52 "../libcore/AbstractSlot.vala"
	_tmp0_ = self->priv->_overlay;
#line 52 "../libcore/AbstractSlot.vala"
	result = _tmp0_;
#line 52 "../libcore/AbstractSlot.vala"
	return result;
#line 1112 "AbstractSlot.c"
}

void
files_abstract_slot_set_overlay (FilesAbstractSlot* self,
                                 GtkOverlay* value)
{
	GtkOverlay* old_value;
#line 52 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 52 "../libcore/AbstractSlot.vala"
	old_value = files_abstract_slot_get_overlay (self);
#line 52 "../libcore/AbstractSlot.vala"
	if (old_value != value) {
#line 1126 "AbstractSlot.c"
		GtkOverlay* _tmp0_;
#line 52 "../libcore/AbstractSlot.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 52 "../libcore/AbstractSlot.vala"
		_g_object_unref0 (self->priv->_overlay);
#line 52 "../libcore/AbstractSlot.vala"
		self->priv->_overlay = _tmp0_;
#line 52 "../libcore/AbstractSlot.vala"
		g_object_notify_by_pspec ((GObject *) self, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_OVERLAY_PROPERTY]);
#line 1136 "AbstractSlot.c"
	}
}

gint
files_abstract_slot_get_slot_number (FilesAbstractSlot* self)
{
	gint result;
#line 53 "../libcore/AbstractSlot.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 53 "../libcore/AbstractSlot.vala"
	result = self->priv->_slot_number;
#line 53 "../libcore/AbstractSlot.vala"
	return result;
#line 1150 "AbstractSlot.c"
}

void
files_abstract_slot_set_slot_number (FilesAbstractSlot* self,
                                     gint value)
{
	gint old_value;
#line 53 "../libcore/AbstractSlot.vala"
	g_return_if_fail (self != NULL);
#line 53 "../libcore/AbstractSlot.vala"
	old_value = files_abstract_slot_get_slot_number (self);
#line 53 "../libcore/AbstractSlot.vala"
	if (old_value != value) {
#line 53 "../libcore/AbstractSlot.vala"
		self->priv->_slot_number = value;
#line 53 "../libcore/AbstractSlot.vala"
		g_object_notify_by_pspec ((GObject *) self, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_SLOT_NUMBER_PROPERTY]);
#line 1168 "AbstractSlot.c"
	}
}

static void
g_cclosure_user_marshal_VOID__BOOLEAN_BOOLEAN (GClosure * closure,
                                               GValue * return_value,
                                               guint n_param_values,
                                               const GValue * param_values,
                                               gpointer invocation_hint,
                                               gpointer marshal_data)
{
	typedef void (*GMarshalFunc_VOID__BOOLEAN_BOOLEAN) (gpointer data1, gboolean arg_1, gboolean arg_2, gpointer data2);
	register GMarshalFunc_VOID__BOOLEAN_BOOLEAN callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 9 "../libcore/AbstractSlot.vala"
	g_return_if_fail (n_param_values == 3);
#line 9 "../libcore/AbstractSlot.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 9 "../libcore/AbstractSlot.vala"
		data1 = closure->data;
#line 9 "../libcore/AbstractSlot.vala"
		data2 = param_values->data[0].v_pointer;
#line 1194 "AbstractSlot.c"
	} else {
#line 9 "../libcore/AbstractSlot.vala"
		data1 = param_values->data[0].v_pointer;
#line 9 "../libcore/AbstractSlot.vala"
		data2 = closure->data;
#line 1200 "AbstractSlot.c"
	}
#line 9 "../libcore/AbstractSlot.vala"
	callback = (GMarshalFunc_VOID__BOOLEAN_BOOLEAN) (marshal_data ? marshal_data : cc->callback);
#line 9 "../libcore/AbstractSlot.vala"
	callback (data1, g_value_get_boolean (param_values + 1), g_value_get_boolean (param_values + 2), data2);
#line 1206 "AbstractSlot.c"
}

static void
g_cclosure_user_marshal_VOID__OBJECT_ENUM (GClosure * closure,
                                           GValue * return_value,
                                           guint n_param_values,
                                           const GValue * param_values,
                                           gpointer invocation_hint,
                                           gpointer marshal_data)
{
	typedef void (*GMarshalFunc_VOID__OBJECT_ENUM) (gpointer data1, gpointer arg_1, gint arg_2, gpointer data2);
	register GMarshalFunc_VOID__OBJECT_ENUM callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 9 "../libcore/AbstractSlot.vala"
	g_return_if_fail (n_param_values == 3);
#line 9 "../libcore/AbstractSlot.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 9 "../libcore/AbstractSlot.vala"
		data1 = closure->data;
#line 9 "../libcore/AbstractSlot.vala"
		data2 = param_values->data[0].v_pointer;
#line 1231 "AbstractSlot.c"
	} else {
#line 9 "../libcore/AbstractSlot.vala"
		data1 = param_values->data[0].v_pointer;
#line 9 "../libcore/AbstractSlot.vala"
		data2 = closure->data;
#line 1237 "AbstractSlot.c"
	}
#line 9 "../libcore/AbstractSlot.vala"
	callback = (GMarshalFunc_VOID__OBJECT_ENUM) (marshal_data ? marshal_data : cc->callback);
#line 9 "../libcore/AbstractSlot.vala"
	callback (data1, g_value_get_object (param_values + 1), g_value_get_enum (param_values + 2), data2);
#line 1243 "AbstractSlot.c"
}

static GObject *
files_abstract_slot_constructor (GType type,
                                 guint n_construct_properties,
                                 GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	FilesAbstractSlot * self;
	GtkBox* _tmp0_ = NULL;
	GtkBox* _tmp1_;
	GtkBox* _tmp2_;
	GtkBox* _tmp3_;
	GtkBox* _tmp4_;
	GtkBox* _tmp5_;
	GtkBox* _tmp6_;
#line 80 "../libcore/AbstractSlot.vala"
	parent_class = G_OBJECT_CLASS (files_abstract_slot_parent_class);
#line 80 "../libcore/AbstractSlot.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 80 "../libcore/AbstractSlot.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, FILES_TYPE_ABSTRACT_SLOT, FilesAbstractSlot);
#line 81 "../libcore/AbstractSlot.vala"
	_tmp0_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 81 "../libcore/AbstractSlot.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp0_, TRUE);
#line 81 "../libcore/AbstractSlot.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp0_, TRUE);
#line 81 "../libcore/AbstractSlot.vala"
	g_object_ref_sink (_tmp0_);
#line 81 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->content_box);
#line 81 "../libcore/AbstractSlot.vala"
	self->content_box = _tmp0_;
#line 86 "../libcore/AbstractSlot.vala"
	_tmp1_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 86 "../libcore/AbstractSlot.vala"
	g_object_ref_sink (_tmp1_);
#line 86 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->extra_location_widgets);
#line 86 "../libcore/AbstractSlot.vala"
	self->extra_location_widgets = _tmp1_;
#line 87 "../libcore/AbstractSlot.vala"
	_tmp2_ = self->content_box;
#line 87 "../libcore/AbstractSlot.vala"
	_tmp3_ = self->extra_location_widgets;
#line 87 "../libcore/AbstractSlot.vala"
	gtk_container_add ((GtkContainer*) _tmp2_, (GtkWidget*) _tmp3_);
#line 89 "../libcore/AbstractSlot.vala"
	_tmp4_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 89 "../libcore/AbstractSlot.vala"
	g_object_ref_sink (_tmp4_);
#line 89 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->extra_action_widgets);
#line 89 "../libcore/AbstractSlot.vala"
	self->extra_action_widgets = _tmp4_;
#line 90 "../libcore/AbstractSlot.vala"
	_tmp5_ = self->content_box;
#line 90 "../libcore/AbstractSlot.vala"
	_tmp6_ = self->extra_action_widgets;
#line 90 "../libcore/AbstractSlot.vala"
	gtk_container_add ((GtkContainer*) _tmp5_, (GtkWidget*) _tmp6_);
#line 91 "../libcore/AbstractSlot.vala"
	files_abstract_slot_set_slot_number (self, -1);
#line 80 "../libcore/AbstractSlot.vala"
	return obj;
#line 1311 "AbstractSlot.c"
}

static void
files_abstract_slot_class_init (FilesAbstractSlotClass * klass,
                                gpointer klass_data)
{
#line 9 "../libcore/AbstractSlot.vala"
	files_abstract_slot_parent_class = g_type_class_peek_parent (klass);
#line 9 "../libcore/AbstractSlot.vala"
	g_type_class_adjust_private_offset (klass, &FilesAbstractSlot_private_offset);
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->initialize_directory = (void (*) (FilesAbstractSlot*)) files_abstract_slot_real_initialize_directory;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->get_selected_files = (GList* (*) (FilesAbstractSlot*)) files_abstract_slot_real_get_selected_files;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->set_active_state = (void (*) (FilesAbstractSlot*, gboolean, gboolean)) files_abstract_slot_real_set_active_state;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->get_current_slot = (FilesAbstractSlot* (*) (FilesAbstractSlot*)) files_abstract_slot_real_get_current_slot;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->reload = (void (*) (FilesAbstractSlot*, gboolean)) files_abstract_slot_real_reload;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->grab_focus = (void (*) (FilesAbstractSlot*)) files_abstract_slot_real_grab_focus;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->user_path_change_request = (void (*) (FilesAbstractSlot*, GFile*, gboolean)) files_abstract_slot_real_user_path_change_request;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->focus_first_for_empty_selection = (void (*) (FilesAbstractSlot*, gboolean)) files_abstract_slot_real_focus_first_for_empty_selection;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->select_glib_files = (void (*) (FilesAbstractSlot*, GList*, GFile*)) files_abstract_slot_real_select_glib_files;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->close = (void (*) (FilesAbstractSlot*)) files_abstract_slot_real_close;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->lookup_file_info = (GFileInfo* (*) (FilesAbstractSlot*, GFile*)) files_abstract_slot_real_lookup_file_info;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->zoom_out = (void (*) (FilesAbstractSlot*)) files_abstract_slot_real_zoom_out;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->zoom_in = (void (*) (FilesAbstractSlot*)) files_abstract_slot_real_zoom_in;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->zoom_normal = (void (*) (FilesAbstractSlot*)) files_abstract_slot_real_zoom_normal;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->set_all_selected = (gboolean (*) (FilesAbstractSlot*, gboolean)) files_abstract_slot_real_set_all_selected;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->get_content_box = (GtkWidget* (*) (FilesAbstractSlot*)) files_abstract_slot_real_get_content_box;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->get_root_uri = (gchar* (*) (FilesAbstractSlot*)) files_abstract_slot_real_get_root_uri;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->get_tip_uri = (gchar* (*) (FilesAbstractSlot*)) files_abstract_slot_real_get_tip_uri;
#line 9 "../libcore/AbstractSlot.vala"
	((FilesAbstractSlotClass *) klass)->get_realized = (gboolean (*) (FilesAbstractSlot*)) files_abstract_slot_real_get_realized;
#line 9 "../libcore/AbstractSlot.vala"
	FILES_ABSTRACT_SLOT_CLASS (klass)->get_locked_focus = (gboolean (*) (FilesAbstractSlot*)) files_abstract_slot_real_get_locked_focus;
#line 9 "../libcore/AbstractSlot.vala"
	FILES_ABSTRACT_SLOT_CLASS (klass)->get_is_frozen = (gboolean (*) (FilesAbstractSlot*)) files_abstract_slot_real_get_is_frozen;
#line 9 "../libcore/AbstractSlot.vala"
	FILES_ABSTRACT_SLOT_CLASS (klass)->set_is_frozen = (void (*) (FilesAbstractSlot*, gboolean)) files_abstract_slot_real_set_is_frozen;
#line 9 "../libcore/AbstractSlot.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_files_abstract_slot_get_property;
#line 9 "../libcore/AbstractSlot.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_files_abstract_slot_set_property;
#line 9 "../libcore/AbstractSlot.vala"
	G_OBJECT_CLASS (klass)->constructor = files_abstract_slot_constructor;
#line 9 "../libcore/AbstractSlot.vala"
	G_OBJECT_CLASS (klass)->finalize = files_abstract_slot_finalize;
#line 9 "../libcore/AbstractSlot.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_ABSTRACT_SLOT_DIRECTORY_PROPERTY, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_DIRECTORY_PROPERTY] = g_param_spec_object ("directory", "directory", "directory", FILES_TYPE_DIRECTORY, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 9 "../libcore/AbstractSlot.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_ABSTRACT_SLOT_FILE_PROPERTY, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_FILE_PROPERTY] = g_param_spec_object ("file", "file", "file", FILES_TYPE_FILE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 9 "../libcore/AbstractSlot.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_ABSTRACT_SLOT_LOCATION_PROPERTY, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_LOCATION_PROPERTY] = g_param_spec_object ("location", "location", "location", g_file_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 9 "../libcore/AbstractSlot.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_ABSTRACT_SLOT_URI_PROPERTY, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_URI_PROPERTY] = g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 9 "../libcore/AbstractSlot.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_ABSTRACT_SLOT_LOCKED_FOCUS_PROPERTY, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_LOCKED_FOCUS_PROPERTY] = g_param_spec_boolean ("locked-focus", "locked-focus", "locked-focus", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 9 "../libcore/AbstractSlot.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_ABSTRACT_SLOT_IS_FROZEN_PROPERTY, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_IS_FROZEN_PROPERTY] = g_param_spec_boolean ("is-frozen", "is-frozen", "is-frozen", TRUE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 9 "../libcore/AbstractSlot.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_ABSTRACT_SLOT_OVERLAY_PROPERTY, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_OVERLAY_PROPERTY] = g_param_spec_object ("overlay", "overlay", "overlay", gtk_overlay_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 9 "../libcore/AbstractSlot.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_ABSTRACT_SLOT_SLOT_NUMBER_PROPERTY, files_abstract_slot_properties[FILES_ABSTRACT_SLOT_SLOT_NUMBER_PROPERTY] = g_param_spec_int ("slot-number", "slot-number", "slot-number", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 9 "../libcore/AbstractSlot.vala"
	files_abstract_slot_signals[FILES_ABSTRACT_SLOT_ACTIVE_SIGNAL] = g_signal_new ("active", FILES_TYPE_ABSTRACT_SLOT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__BOOLEAN_BOOLEAN, G_TYPE_NONE, 2, G_TYPE_BOOLEAN, G_TYPE_BOOLEAN);
#line 9 "../libcore/AbstractSlot.vala"
	files_abstract_slot_signals[FILES_ABSTRACT_SLOT_INACTIVE_SIGNAL] = g_signal_new ("inactive", FILES_TYPE_ABSTRACT_SLOT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 9 "../libcore/AbstractSlot.vala"
	files_abstract_slot_signals[FILES_ABSTRACT_SLOT_PATH_CHANGED_SIGNAL] = g_signal_new ("path-changed", FILES_TYPE_ABSTRACT_SLOT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 9 "../libcore/AbstractSlot.vala"
	files_abstract_slot_signals[FILES_ABSTRACT_SLOT_NEW_CONTAINER_REQUEST_SIGNAL] = g_signal_new ("new-container-request", FILES_TYPE_ABSTRACT_SLOT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__OBJECT_ENUM, G_TYPE_NONE, 2, g_file_get_type (), FILES_TYPE_OPEN_FLAG);
#line 9 "../libcore/AbstractSlot.vala"
	files_abstract_slot_signals[FILES_ABSTRACT_SLOT_SELECTION_CHANGED_SIGNAL] = g_signal_new ("selection-changed", FILES_TYPE_ABSTRACT_SLOT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__POINTER, G_TYPE_NONE, 1, G_TYPE_POINTER);
#line 9 "../libcore/AbstractSlot.vala"
	files_abstract_slot_signals[FILES_ABSTRACT_SLOT_DIRECTORY_LOADED_SIGNAL] = g_signal_new ("directory-loaded", FILES_TYPE_ABSTRACT_SLOT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, FILES_TYPE_DIRECTORY);
#line 1402 "AbstractSlot.c"
}

static void
files_abstract_slot_instance_init (FilesAbstractSlot * self,
                                   gpointer klass)
{
#line 9 "../libcore/AbstractSlot.vala"
	self->priv = files_abstract_slot_get_instance_private (self);
#line 47 "../libcore/AbstractSlot.vala"
	self->priv->_is_frozen = TRUE;
#line 1413 "AbstractSlot.c"
}

static void
files_abstract_slot_finalize (GObject * obj)
{
	FilesAbstractSlot * self;
#line 9 "../libcore/AbstractSlot.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, FILES_TYPE_ABSTRACT_SLOT, FilesAbstractSlot);
#line 10 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->priv->_directory);
#line 49 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->extra_location_widgets);
#line 50 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->extra_action_widgets);
#line 51 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->content_box);
#line 52 "../libcore/AbstractSlot.vala"
	_g_object_unref0 (self->priv->_overlay);
#line 9 "../libcore/AbstractSlot.vala"
	G_OBJECT_CLASS (files_abstract_slot_parent_class)->finalize (obj);
#line 1434 "AbstractSlot.c"
}

 G_GNUC_NO_INLINE static GType
files_abstract_slot_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (FilesAbstractSlotClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) files_abstract_slot_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (FilesAbstractSlot), 0, (GInstanceInitFunc) files_abstract_slot_instance_init, NULL };
	GType files_abstract_slot_type_id;
	files_abstract_slot_type_id = g_type_register_static (G_TYPE_OBJECT, "FilesAbstractSlot", &g_define_type_info, G_TYPE_FLAG_ABSTRACT);
	FilesAbstractSlot_private_offset = g_type_add_instance_private (files_abstract_slot_type_id, sizeof (FilesAbstractSlotPrivate));
	return files_abstract_slot_type_id;
}

GType
files_abstract_slot_get_type (void)
{
	static volatile gsize files_abstract_slot_type_id__once = 0;
	if (g_once_init_enter (&files_abstract_slot_type_id__once)) {
		GType files_abstract_slot_type_id;
		files_abstract_slot_type_id = files_abstract_slot_get_type_once ();
		g_once_init_leave (&files_abstract_slot_type_id__once, files_abstract_slot_type_id);
	}
	return files_abstract_slot_type_id__once;
}

static void
_vala_files_abstract_slot_get_property (GObject * object,
                                        guint property_id,
                                        GValue * value,
                                        GParamSpec * pspec)
{
	FilesAbstractSlot * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, FILES_TYPE_ABSTRACT_SLOT, FilesAbstractSlot);
#line 9 "../libcore/AbstractSlot.vala"
	switch (property_id) {
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_DIRECTORY_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		g_value_set_object (value, files_abstract_slot_get_directory (self));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_FILE_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		g_value_set_object (value, files_abstract_slot_get_file (self));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_LOCATION_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		g_value_set_object (value, files_abstract_slot_get_location (self));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_URI_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		g_value_set_string (value, files_abstract_slot_get_uri (self));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_LOCKED_FOCUS_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		g_value_set_boolean (value, files_abstract_slot_get_locked_focus (self));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_IS_FROZEN_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		g_value_set_boolean (value, files_abstract_slot_get_is_frozen (self));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_OVERLAY_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		g_value_set_object (value, files_abstract_slot_get_overlay (self));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_SLOT_NUMBER_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		g_value_set_int (value, files_abstract_slot_get_slot_number (self));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 1517 "AbstractSlot.c"
		default:
#line 9 "../libcore/AbstractSlot.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 1523 "AbstractSlot.c"
	}
}

static void
_vala_files_abstract_slot_set_property (GObject * object,
                                        guint property_id,
                                        const GValue * value,
                                        GParamSpec * pspec)
{
	FilesAbstractSlot * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, FILES_TYPE_ABSTRACT_SLOT, FilesAbstractSlot);
#line 9 "../libcore/AbstractSlot.vala"
	switch (property_id) {
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_DIRECTORY_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		files_abstract_slot_set_directory (self, g_value_get_object (value));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_LOCATION_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		files_abstract_slot_set_location (self, g_value_get_object (value));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_IS_FROZEN_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		files_abstract_slot_set_is_frozen (self, g_value_get_boolean (value));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_OVERLAY_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		files_abstract_slot_set_overlay (self, g_value_get_object (value));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 9 "../libcore/AbstractSlot.vala"
		case FILES_ABSTRACT_SLOT_SLOT_NUMBER_PROPERTY:
#line 9 "../libcore/AbstractSlot.vala"
		files_abstract_slot_set_slot_number (self, g_value_get_int (value));
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 1567 "AbstractSlot.c"
		default:
#line 9 "../libcore/AbstractSlot.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 9 "../libcore/AbstractSlot.vala"
		break;
#line 1573 "AbstractSlot.c"
	}
}

